# Add On Types Add On Types ## Gets all of the add on types in the system. - [GET /addOnTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/listaddontypes.md): This method will scan all add on types and and return them to the caller. ## Creates a new add on type record that does not already exist. - [POST /addOnTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/createaddontype.md): This method will auto-generate an ID and create a new add on type. If an ID is specified for the add on type, an error will be thrown. ## Execute Batch Operations - [POST /addOnTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a add on type from the system by its ID. - [DELETE /addOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/deleteaddontype.md): This method will delete a add on type with the specified ID. ## Returns a add on type from the system by its ID. - [GET /addOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/getaddontype.md): This method will look up a add on type by the specified ID and return it back. ## Partially updates a add on type with the specified ID. - [PATCH /addOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/patchaddontype.md): This method will patch an existing add on type with the specified ID, using the HTTP PATCH specification. ## Updates a add on type with the specified ID. - [PUT /addOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/updateaddontype.md): This method will update an existing add on type with the specified ID.